Bug 1659979 - Unable to add Google Cloud Platform as compute resource to Satellite.
Summary: Unable to add Google Cloud Platform as compute resource to Satellite.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Compute Resources - GCE
Version: 6.3.4
Hardware: x86_64
OS: Linux
unspecified
urgent with 2 votes vote
Target Milestone: 6.6.0
Assignee: Kavita
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On: 1639696
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-17 10:12 UTC by Sagar Lutade
Modified: 2019-10-22 12:47 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 12:47:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 26473 Normal Closed [Google Compute Resource] fix broken changes with latest API changes and fog-google gem update 2020-01-23 15:06:29 UTC
Red Hat Product Errata RHSA-2019:3172 None None None 2019-10-22 12:47:21 UTC

Description Sagar Lutade 2018-12-17 10:12:11 UTC
Description of problem:

When trying to add Google Cloud Platform as compute resource it fails to add.
The error is unable to save NOT found while selecting the option Load Zones.

Version-Release number of selected component (if applicable):
Satellite version 6.3 and 6.4

How reproducible:
By adding a new Compute resource to the Satellite.

Steps to Reproduce:
1.Login to Satellite web UI.
2.Infrastructure > Compute Resources > create new.
3.Input the details:

 Google Project ID *
 Client Email *
 Certificate path * (p12 file generate from the Google Cloud Platform console.)
4. Load Zones.

Actual results:
It should Load the Zones and create the resource.

Comment 5 kindjal 2019-01-11 21:38:24 UTC
I get "Unable to access key" when I try this.

Comment 13 Lukáš Hellebrandt 2019-07-16 08:25:30 UTC
Verified with Sat 6.6 snap 11. GCE account can be added and its VMs can be listed.

Comment 15 errata-xmlrpc 2019-10-22 12:47:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.